Overview
POST
/content/eventscontentCreate events
Create a record in events.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- ecosystemIdoptionalstring
- deletedAtoptionalstring?
- typestring
- payloadstring | number | boolean? | object | any[]
Example
{
"ecosystemId": "string",
"deletedAt": "string",
"type": "string",
"payload": "string"
}Responses
201
events
- idstring
- ecosystemIdstring
- customerIdstring
- deletedAtstring?
- typestring
- payloadstring | number | boolean? | object | any[]
- createdAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"customerId": "string",
"deletedAt": "string",
"type": "string",
"payload": "string",
"createdAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/content/events" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ecosystemId": "string",
"deletedAt": "string",
"type": "string",
"payload": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/events", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ecosystemId\": \"string\",\n \"deletedAt\": \"string\",\n \"type\": \"string\",\n \"payload\": \"string\"\n}",
});
const data = await res.json();